Skip to content

Update a user

Request

Updates an existing user with the specified attributes.

Path
idstringrequired

User UUID

Bodyapplication/json
userobjectrequired
PUT
/rest/v2/users/{id}
curl -i -X PUT \
  'https://api.rhythms.ai/rest/v2/users/{id}' \
  -H 'Content-Type: application/json' \
  -d '{
    "user": {
      "display_name": "string",
      "avatar_url": "string",
      "status": "active",
      "manager_uuid": "string",
      "license_type": "standard",
      "profile_attributes": {
        "first_name": "string",
        "last_name": "string",
        "job_title": "string",
        "timezone": "string",
        "locale": "string",
        "about": "string"
      }
    }
  }'

Responses

Success

Headers
any
Body*/*
dataobjectrequired
Response
{
  "data": {
    "type": "string",
    "record": {
      "uuid": "string",
      "display_name": "string",
      "account_id": null,
      "status": "active",
      "manager_uuid": null,
      "path": null,
      "creator_uuid": null,
      "license_type": "string",
      "display_name_source": "manual",
      "avatar_url": null,
      "external_employee_id": null
    },
    "checks": null,
    "access_source": null
  }
}